# **********************************************************************
# XF86CONFIG for muLinux XWINDOW, by M.Andreoli 
# **********************************************************************

Section "Files"


    RgbPath	"/usr/X11R6/lib/X11/rgb"
    FontPath	"/usr/X11R6/lib/X11/fonts/75dpi/"
    FontPath	"/usr/X11R6/lib/X11/fonts/misc/"

EndSection

Section "ServerFlags"
#    NoTrapSignals
#    DontZap
#    DontZoom
EndSection

Section "Keyboard"
   Protocol    "Standard"
   AutoRepeat  500 5
   LeftAlt         Meta
   RightAlt        ModeShift
   ScrollLock      ModeLock
   RightCtl        Compose
EndSection


Section "Pointer"
    Protocol    "MOUSE_PROTOCOL"
    Device      "/dev/mouse"
    EMULATE3BUTTONS
EndSection

Section "Monitor"

    Identifier  "My Monitor"
    VendorName  "Unknown"
    ModelName   "Unknown"

    HorizSync  	HORIZ_SYNC	
    VertRefresh VERT_REFRESH	

   include(/etc/X11/xf86.mode) 

EndSection



#---------------------------
# Standard SVGA Device:
#---------------------------

Section	"Device"
	Identifier	"Generic SVGA"
	VendorName	"Unknown"
	BoardName	"Unknown"
	#Videoram	1024
	VIDEORAM
EndSection


Section	"Screen"
	Driver	"svga"
	Device	"Generic SVGA"
	Monitor	"My Monitor"

    Subsection "Display"
        Depth       8
        Modes      "best" "640x480" "800x600" "1024x768" "1280x960" "1280x1024"
        ViewPort    0 0
    EndSubsection
    Subsection "Display"
        Depth       16
        Modes       "best" "640x480" "800x600" "1024x768" "1280x960"
        ViewPort    0 0
    EndSubsection
    Subsection "Display"
        Depth       24
        Modes       "best" "640x480" "800x600"
        ViewPort    0 0
    EndSubsection
    Subsection "Display"
        Depth       32
        Modes       "best" "640x480" "800x600"
        ViewPort    0 0
    EndSubsection

EndSection

#-----------------------------
# Standard VGA Device:
#-----------------------------

Section "Device"
    Identifier	"Generic VGA"
    VendorName	"Unknown"
    BoardName	"Unknown"
    Chipset	"generic"
    Clocks 25.2 28.3 30.1
    VIDEORAM
EndSection

Section "Screen"
    Driver      "vga16"
    Device      "Generic VGA"
    Monitor     "My Monitor"
    Subsection "Display"
	Modes   "best" "640x480" "800x600" "1024x768" "1280x1024"
        ViewPort    0 0
    EndSubsection
EndSection

#-----------------------------
# Mono Server:
#-----------------------------

# The Mono server

Section "Screen"
    Driver      "vga2"
    Device      "Generic VGA"
    Monitor     "My Monitor"
    Subsection "Display"
        Modes      "best" "640x480" "800x600"
        ViewPort    0 0
    EndSubsection
EndSection

#-----------------------------
# Accelerated Server:
#-----------------------------

# The accelerated servers (S3, Mach32, Mach8, 8514, P9000, AGX, W32, Mach64)

Section "Screen"
    Driver      "accel"
    Device      "Generic SVGA"
    Monitor     "My Monitor"
    Subsection "Display"
        Depth       8
        Modes      "best" "640x480" "800x600" "1024x768" "1280x1024"
        ViewPort    0 0
    EndSubsection
    Subsection "Display"
        Depth       16
        Modes       "best" "640x480" "800x600" "1024x768"
        ViewPort    0 0
    EndSubsection
    Subsection "Display"
        Depth       24
        Modes       "best" "640x480" "800x600"
        ViewPort    0 0
    EndSubsection
    Subsection "Display"
        Depth       32
        Modes       "best" "640x480" "800x600"
        ViewPort    0 0
    EndSubsection
EndSection

